cascading.util.jgrapht

## Class IntegerNameProvider<V>

- java.lang.Object
- - cascading.util.jgrapht.IntegerNameProvider<V>

- All Implemented Interfaces:
    VertexNameProvider<V>

      public class IntegerNameProvider<V>
      extends Object
      implements VertexNameProvider<V>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegerNameProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `String` | `getVertexName(V vertex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegerNameProvider

          public IntegerNameProvider()

  - ### Method Detail

    - #### clear

          public void clear()

    - #### getVertexName

          public String getVertexName(V vertex)

      Specified by:
        `getVertexName` in interface `VertexNameProvider<V>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.